Skip to main content
GET
/
compliance
/
rules
curl -X GET "https://demo.api.vultlocal.com/api/v1/compliance/rules" \
  -H "Authorization: Bearer olive_live_xxx"
{
  "rules": [
    {
      "id": 1,
      "name": "High Value Alert",
      "type": "AMOUNT_THRESHOLD",
      "threshold": 10000000,
      "action": "FLAG"
    },
    {
      "id": 2,
      "name": "Rapid Velocity",
      "type": "TRANSACTION_COUNT",
      "time_window": "5m",
      "threshold": 10,
      "action": "BLOCK"
    }
  ]
}
Configure dynamic rules for transaction monitoring.

Request

Authorization
string
required
Bearer olive_live_xxx (Admin)

Response

rules
array
List of active monitoring rules

Examples

curl -X GET "https://demo.api.vultlocal.com/api/v1/compliance/rules" \
  -H "Authorization: Bearer olive_live_xxx"
{
  "rules": [
    {
      "id": 1,
      "name": "High Value Alert",
      "type": "AMOUNT_THRESHOLD",
      "threshold": 10000000,
      "action": "FLAG"
    },
    {
      "id": 2,
      "name": "Rapid Velocity",
      "type": "TRANSACTION_COUNT",
      "time_window": "5m",
      "threshold": 10,
      "action": "BLOCK"
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key for third-party integrations (WhatsApp, Smart PAY, VULT). Format: 'Bearer olive_live_xxxxxxxxxxxxx'

Query Parameters

status
string

Filter by status (active/inactive)

Response

OK

The response is of type object.